routes/web.php
<?php

use App\Http\Controllers\AuthorController;
use App\Http\Controllers\BlogPostController;
use App\Http\Controllers\CommentController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\InternalAreaController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
     // return view('welcome');
     // return "GIPE 2022 - Let's start the endeavour and create a portal for the Colegio San Juan Apostol in Arequipa, Peru!";
     // return view('home.index',[]);
// })->name('home.index');
// Route::get('/contact', function () {
    // return "This is the contact page!";
    // return view('home.contact',[]);
// })->name('contact.index');
Route::get('/', [HomeController::class,'home'])->name('home.index');
Route::get('/contact', [HomeController::class,'contact'])->name('contact.index');
// $posts = [
//     1 => [
//         'title' => 'Intro to laravel',
//         'content' => 'This is a short intro to laravel',
//         'is_new' => true
//     ],
//     2 => [
//         'title' => 'Intro to PHP',
//         'content' => 'This is a short intro to PHP',
//         'is_new' => false
//     ],
// ];
// Route::get('/posts', function () use ($posts) {
//     // return "This is the posts page!";
//     return view('posts.index',['posts' => $posts]);
// })->name('posts.index');
// Route::get('/posts/{id}', function ($id) use ($posts) {
//     // return "Blog Post {$id}";
//     abort_if(!isset($posts[$id]), 404);
//     return view('posts.show', ['post' => $posts[$id]]);
// })->name('posts.show');
Route::get('/recent-posts/{days_ago?}', function ($days_ago = 20) {
    return "Posts from {$days_ago} days ago";
})->name('posts.recent.index');
Route::resource('blogposts',BlogPostController::class);
Route::resource('authors',AuthorController::class);
Route::resource('comments',CommentController::class)->only(['store','create']);
Route::get('/home', [InternalAreaController::class, 'home'])->name('home.index');
Auth::routes();

resources/views/layout/partials/nav.blade.php
<nav class="navbar navbar-expand-lg navbar-light bg-light justify-content-between mx-5 bg-info">
    <a class="navbar-brand">GIPE 2022</a>
    <div class="text-end" id="navbarNav">
        <ul class="navbar-nav">
            <!-- Authentication Links -->
            @guest
                @if (Route::has('login'))
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                    </li>
                @endif

                @if (Route::has('register'))
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                    </li>
                @endif
            @else
                <li class="nav-item dropdown">
                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false" v-pre>
                        {{ Auth::user()->name }}
                    </a>
                </li>
                
                <li class="nav-item active">
                    <a class="nav-link" href='/'>Home</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="#">Contact</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="true">
                        Blog Posts
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <a class="dropdown-item" href="{{ route('blogposts.index') }}">List of Blogs</a>
                        <a class="dropdown-item" href="{{ route('blogposts.create') }}">New Blog</a>
                    </div>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="{{ route('comments.create') }}">Create comment</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="true">
                        Authors
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <a class="dropdown-item" href="{{ route('authors.index') }}">List of Authors</a>
                        <a class="dropdown-item" href="{{ route('authors.create') }}">New Author</a>
                    </div>
                </li>
                <li>
                    {{-- <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown"> --}}
                        <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault();
                                           document.getElementById('logout-form').submit();">
                            {{ __('Logout') }}
                        </a>

                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                            @csrf
                        </form>
                    {{-- </div> --}}
                </li>
            @endguest
        </ul>
    </div>
</nav>